Bug 541744 - enable collectd ping plugin
enable collectd ping plugin
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: collectd (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On: 571790
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-26 17:26 EST by Alan Pevec
Modified: 2010-03-30 07:35 EDT (History)
10 users (show)

See Also:
Fixed In Version: collectd-4.9.1-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 516276
Environment:
Last Closed: 2010-03-26 10:55:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed spec for requied liboping (3.10 KB, text/plain)
2009-12-01 05:15 EST, Anton Guda
no flags Details

  None (edit)
Description Alan Pevec 2009-11-26 17:26:41 EST
+++ This bug was initially created as a clone of Bug #516276 +++

ping plugin is disabled until liboping is properly packaged in Fedora:

- liboping fails to compile on ppc: http://koji.fedoraproject.org/koji/taskinfo?taskID=1649969

- bundling liboping as Source1 in collectd RPM fails to build, issue is installing liboping in %build: http://koji.fedoraproject.org/koji/getfile?taskID=1830317&name=build.log
Comment 1 Anton Guda 2009-12-01 05:15:44 EST
Created attachment 375016 [details]
proposed spec for requied liboping

I build liboping this spec file.
Whith liboping collectd was build with ping plugin.
Release set to 0.1 to rflect local build.
Comment 2 Alan Pevec 2009-12-01 06:36:55 EST
I'm not sure if openpkg license is allowed in Fedora, it is not listed at http://fedoraproject.org/wiki/Licensing#SoftwareLicenses
I'll ask on fedora-legal-list.
Comment 3 Florian La Roche 2009-12-04 08:07:07 EST
liboping itself is GPL, so this query is only done due to the specfile.
Re-writing a new one is probably better than going through special
licensing steps here...

regards,

Florian La Roche
Comment 4 Alan Pevec 2009-12-04 09:22:32 EST
yes, rewriting is an option but openpkg license is actually MIT so it's allowed
https://www.redhat.com/archives/fedora-legal-list/2009-December/msg00001.html

Anton, are you willing to open liboping review request using this spec?
Comment 5 Anton Guda 2009-12-05 09:50:10 EST
I never do this (review request before).
Investigating now.
Comment 6 Lubomir Rintel 2010-03-09 09:56:31 EST
Opened a review ticket bug #571790
Anton, if you're willing to take over the review/package, feel free.
Comment 7 Bug Zapper 2010-03-15 09:21:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Lubomir Rintel 2010-03-22 04:49:47 EDT
Alan, liboping was built into F-14 and F-13 (submitted into updates-testing). 

Please enable the ping plugin in Rawhide (and I'd be very thankful if you could enable it in F-13 as well, please give the update [1] a positive karma and it will get pushed into stable if it works for you)

[1] https://admin.fedoraproject.org/updates/liboping-1.3.4-1.fc13

Anton, if you wish to take over the package maintenance (liboping), please let me know.
Comment 9 Alan Pevec 2010-03-26 10:55:01 EDT
F-13 build follows
Comment 10 Alan Pevec 2010-03-26 14:07:54 EDT
(In reply to comment #9)
> F-13 build follows    

This is blocked until liboping is pushed to stable, so F13 buildroots can have it:
 No Package Found for liboping-devel

spec change is pushed to F-13 CVS branche, just not tagged yet.

Please add karma: https://admin.fedoraproject.org/updates/liboping-1.3.4-1.fc13
Comment 11 Alex Lancaster 2010-03-26 15:06:06 EDT
(In reply to comment #10)
> (In reply to comment #9)
> > F-13 build follows    
> 
> This is blocked until liboping is pushed to stable, so F13 buildroots can have
> it:
>  No Package Found for liboping-devel

Alan, it might be too late in this particular case, in general the best way to handle this is via a "buildroot override" request via rel-eng:

http://fedoraproject.org/wiki/Buildroot_override_SOP

You request a temporary push of the package into the buildroot (before it pushed to the actual repo), build against the override package (in this case liboping), then add both packages (in this case, liboping and collectd) to the update.    That way you ensure that the end user doesn't see any temporary dep breakage at the repo-level.  Otherwise you have the problem that you have to wait an extra cycle to get all the deps fixed, i.e. push of liboping, temporary breakage of collectd, then a new build/push of collectd which finally fixes things.

Of course, this only applies if there is actually an ABI/soname breakage, if there is none in this particular case, then this won't necessarily apply.
Comment 12 Alan Pevec 2010-03-30 07:35:54 EDT
(In reply to comment #11)
> handle this is via a "buildroot override" request via rel-eng:

yes, but liboping is a new package, so it didn't seem justified to request the override procedure.
In any case, we just need one more karma+ in Bodhi: Anton or anyone from CC, please test :)

Note You need to log in before you can comment on or make changes to this bug.